Bug 165447 - ip.sh fails when using VLAN (802.1q) on bonded interface
ip.sh fails when using VLAN (802.1q) on bonded interface
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 164915
  Show dependency treegraph
 
Reported: 2005-08-09 10:42 EDT by Roland Gadinger
Modified: 2009-04-16 16:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0173
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 15:22:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roland Gadinger 2005-08-09 10:42:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
When using tagged-VLAN (802.1q) on a bonded interface (eg. dev "bond0.2") 
ip.sh fails to find the slaves for this interface (function findSlaves() ) and 
therefore can't "start" an IP on it. 
 
 

Version-Release number of selected component (if applicable):
rgmanager-1.9.34-1

How reproducible:
Always

Steps to Reproduce:
1. Setup VLAN on a bonded interface. (eg. ifcfg-bond0.2) 
2. In "Cluster Configuration" setup an IP resource for this interface 
3. Start a Service with this resource 
   

Actual Results:  Service fails to start: 
clurgmgrd[1234]: <notice> start on ip "12.34.56.78" returned 1 (generic error) 

Additional info:

The following simple hack could solve the problem: 
 
--- [SNIP] --- 
--- /usr/share/cluster/ip.sh.old        2005-08-09 16:36:45.772707459 +0200 
+++ /usr/share/cluster/ip.sh    2005-08-09 16:38:36.327944199 +0200 
@@ -436,6 +436,10 @@ 
                return 1 
        fi 
 
+       ## Strip possible VLAN (802.1q) suffixes 
+       ##  - Roland Gadinger <roland.gadinger@beko.at> 
+       mastif=${mastif%%.*} 
+ 
        while read line; do 
                set - $line 
                while [ $# -gt 0 ]; do 
--- [SNIP] ---
Comment 1 Lon Hohberger 2005-08-09 10:58:09 EDT
Thanks for the patch!
Comment 2 Lon Hohberger 2005-10-04 17:48:02 EDT
Patch in CVS. Thanks!
Comment 3 Lon Hohberger 2005-12-06 13:49:28 EST
Fixes in CVS ready for QA.

Branches: head, STABLE, RHEL4
Comment 4 Red Hat Bugzilla 2006-01-06 15:22:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0173.html

Note You need to log in before you can comment on or make changes to this bug.